# Uses of Interface
javax.xml.transform.Templates

Packages that use Templates
Package
Description
javax.xml.transform
Defines the generic APIs for processing transformation instructions, and performing a transformation from source to result.
javax.xml.transform.sax
Provides SAX specific transformation classes.

- ## Uses of Templates in javax.xml.transform

  Methods in javax.xml.transform that return Templates
  Modifier and Type
  Method
  Description
  `abstract Templates`
  TransformerFactory.`newTemplates(Source source)`
  Process the Source into a Templates object, which is a a compiled representation of the source.

- ## Uses of Templates in javax.xml.transform.sax

  Methods in javax.xml.transform.sax that return Templates
  Modifier and Type
  Method
  Description
  `Templates`
  TemplatesHandler.`getTemplates()`
  When a TemplatesHandler object is used as a ContentHandler for the parsing of transformation instructions, it creates a Templates object, which the caller can get once the SAX events have been completed.
  Methods in javax.xml.transform.sax with parameters of type Templates
  Modifier and Type
  Method
  Description
  `abstract TransformerHandler`
  SAXTransformerFactory.`newTransformerHandler(Templates templates)`
  Get a TransformerHandler object that can process SAX ContentHandler events into a Result, based on the Templates argument.
  `abstract XMLFilter`
  SAXTransformerFactory.`newXMLFilter(Templates templates)`
  Create an XMLFilter, based on the Templates argument..